All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
TypedHashDecl Class Reference

typed hash declaration More...

`#include <TypedHashDecl.h>`

## Public Member Functions

DLLEXPORT void | addMember (const char *name, const QoreTypeInfo *memberTypeInfo, QoreValue init_val)
| adds an element to a built-in hashdecl
DLLEXPORT const QoreTypeInfo * | getTypeInfo (bool or_nothing=false) const
| returns the type info object for the hashdecl

## Protected Member Functions

DLLEXPORT | ~TypedHashDecl ()
| deletes the object and frees all memory

## Detailed Description

typed hash declaration

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/TypedHashDecl.h (79e5dd4f976dab9d74ec8272aec97c21df86c597)